Loading...
Searching...
No Matches
CglBK Class Reference

For Bron-Kerbosch. More...

`#include <CglPreProcess.hpp>`

## Public Member Functions

Main methods
void | bronKerbosch ()
| For recursive Bron-Kerbosch.
OsiSolverInterface * | newSolver (const OsiSolverInterface &model)
| Creates strengthened smaller model.
Constructors and destructors etc
| CglBK ()
| Default constructor.
| CglBK (const OsiSolverInterface &model, const char *rowType, int numberElements)
| Useful constructor.
| CglBK (const CglBK &rhs)
| Copy constructor .
CglBK & | operator= (const CglBK &rhs)
| Assignment operator.
| ~CglBK ()
| Destructor.

## Private Attributes

Private member data
int * | candidates_
| Current candidates (created at each level).
char * | mark_
| Array to mark stuff.
CoinBigIndex * | start_
| Starts for graph (numberPossible+1).
int * | otherColumn_
| Other column/node.
int * | originalRow_
| Original row (in parallel with otherColumn_).
int * | dominated_
| How many times each original row dominated.
CoinPackedMatrix * | cliqueMatrix_
| Clique entries.
const char * | rowType_
| points to row types
int | numberColumns_
| Number of original columns.
int | numberRows_
| Number of original rows.
int | numberPossible_
| Number possible.
int | numberCandidates_
| Current number of candidates.
int | firstNot_
| First not (stored backwards from numberPossible_).
int | numberIn_
| Current number in clique.
int | left_
| For acceleration.
int | lastColumn_

## Detailed Description

For Bron-Kerbosch.

Definition at line 463 of file CglPreProcess.hpp.

## Constructor & Destructor Documentation

## CglBK() [1/3]

CglBK::CglBK | ( |  | ) |

Default constructor.

## CglBK() [2/3]

CglBK::CglBK | ( | const OsiSolverInterface & | model,
|  | const char * | rowType,
|  | int | numberElements )

Useful constructor.

## CglBK() [3/3]

CglBK::CglBK | ( | const CglBK & | rhs | ) |

Copy constructor .

## ~CglBK()

CglBK::~CglBK | ( |  | ) |

Destructor.

## Member Function Documentation

## bronKerbosch()

void CglBK::bronKerbosch | ( |  | ) |

For recursive Bron-Kerbosch.

## newSolver()

OsiSolverInterface * CglBK::newSolver | ( | const OsiSolverInterface & | model | ) |

Creates strengthened smaller model.

## operator=()

CglBK & CglBK::operator= | ( | const CglBK & | rhs | ) |

Assignment operator.

## Member Data Documentation

## candidates_

int* CglBK::candidates_

private

Current candidates (created at each level).

Definition at line 515 of file CglPreProcess.hpp.

## mark_

char* CglBK::mark_

private

Array to mark stuff.

Definition at line 517 of file CglPreProcess.hpp.

## start_

CoinBigIndex* CglBK::start_

private

Starts for graph (numberPossible+1).

Definition at line 519 of file CglPreProcess.hpp.

## otherColumn_

int* CglBK::otherColumn_

private

Other column/node.

Definition at line 521 of file CglPreProcess.hpp.

## originalRow_

int* CglBK::originalRow_

private

Original row (in parallel with otherColumn_).

Definition at line 523 of file CglPreProcess.hpp.

## dominated_

int* CglBK::dominated_

private

How many times each original row dominated.

Definition at line 525 of file CglPreProcess.hpp.

## cliqueMatrix_

CoinPackedMatrix* CglBK::cliqueMatrix_

private

Clique entries.

Definition at line 527 of file CglPreProcess.hpp.

## rowType_

const char* CglBK::rowType_

private

points to row types

Definition at line 529 of file CglPreProcess.hpp.

## numberColumns_

int CglBK::numberColumns_

private

Number of original columns.

Definition at line 531 of file CglPreProcess.hpp.

## numberRows_

int CglBK::numberRows_

private

Number of original rows.

Definition at line 533 of file CglPreProcess.hpp.

## numberPossible_

int CglBK::numberPossible_

private

Number possible.

Definition at line 535 of file CglPreProcess.hpp.

## numberCandidates_

int CglBK::numberCandidates_

private

Current number of candidates.

Definition at line 537 of file CglPreProcess.hpp.

## firstNot_

int CglBK::firstNot_

private

First not (stored backwards from numberPossible_).

Definition at line 539 of file CglPreProcess.hpp.

## numberIn_

int CglBK::numberIn_

private

Current number in clique.

Definition at line 541 of file CglPreProcess.hpp.

## left_

int CglBK::left_

private

For acceleration.

Definition at line 543 of file CglPreProcess.hpp.

## lastColumn_

int CglBK::lastColumn_

private

Definition at line 544 of file CglPreProcess.hpp.

The documentation for this class was generated from the following file:

- Cgl/src/CglPreProcess/CglPreProcess.hpp